XMLWriter::endElement
XMLWriter::flush
XMLWriter Functions
PHP Manual

# XMLWriter::endPI

# xmlwriter_end_pi

End current PI

### Description

Object oriented style

bool XMLWriter::endPI ( void )

Procedural style

bool xmlwriter_end_pi ( resource `$xmlwriter` )

Ends the current processing instruction.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri or xmlwriter_open_memory.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startPI
- XMLWriter::writePI